Subject: bug#48518: 13.0.11; LaTeX environment C-c C-e on region doesn't indent properly

From: Berthold Lorke <[email-masked]>
Date: Fri, 21 May 2021 13:00:16 +0200

Yes!  This is exactly the behaviour I expected, and I believe there is
no reason why this shouldn't be the default.

Thank you very much, I hope this will be patched in (or added as an
option, but again, I see no reason why it shouldn't be the default).

On 21/05/2021 10.26, Ikumi Keita wrote:
> Hi Berthold,
> 
>>>>>> Berthold Lorke <[email-masked]> writes:
>> I don't see how "no indent" was requested by Florian.  All he wanted was
>> no line wrapping of highlighted text after executing a latex-environment
>> C-c C-e command.  Which I also do not want.  So there is nothing he
>> suggested that I want changed.
> 
> Your argument is logical and convincing. ;-)
> 
>>> Maybe AUCTeX should do only indentation, not filling, when
>>> `auto-fill-mode' is disabled. (I'm not sure what is the best behavior
>>> because I always enable `auto-fill-mode'.)
> 
>> Yes!  This is exactly what I am requesting :)
> 
> Could you test the attached patch to see whether it works as expected?
> 
> Regards,
> Ikumi Keita
>